Subject: [manet] How do you compute normalized routing load?

From: Jonas Nielsen <[email-masked]>
Date: 01 Jul 2002 10:46:15 +0200

In most articles "Normalized routing load" is computed as sent (and
forwarded) DSR control packets divided by number of data packets
received. I use the following perl script to compute the normalized
routing load but the numbers i get are wrong compared to the results
from articles I compare the results with. I also use a similar script
to compute the packet delivery ratio and her i get the right results
on the same trace files.  

Here is the perl script:

#/usr/bin/perl

$file = 'wireless1-out.tr';
$DSRSent = 0;
$cbrReceived = 0;
open(TRACEFILE, "<$file" ) || die "\n" ;
while(<TRACEFILE>) {
  if ($_ =~/^(s|f).*\-It DSR/) {
    $DSRSent++;
    #print $_;
  }
  if ($_ =~/^r.*\-It cbr/) {
    $cbrReceived++;
    #print $_;
  }
}

print "DSR control packets sent\t$DSRSent\n";
print "Data (cbr) packets received\t$cbrReceived\n";
$load = 1.0*$DSRSent /$cbrReceived;

print "Normalized routing load:\t$load\n";

_______________________________________________
manet mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/manet